@echo off
set testsvc=
cls
color 0A
echo.
echo Programme als Dienst im Systemkontext starten
echo.
echo.
echo System: Windows XP/Vista/Win 7
echo [Unter Vista/Win7 die einzige Option, interaktiv im Systemkontext zu arbeiten]
echo. 
echo. 
echo.

ver | find "Version 6." >NUL
IF NOT errorlevel 1 (
	echo Vista-Dienstmelder fuer interaktive Dienste UI0Detect einrichten...
	sc config UI0Detect start= demand >NUL
	ping -n 1 127.0.0.1 >NUL
	echo Vista-Dienstmelder fuer interaktive Dienste UI0Detect starten...
	sc start UI0Detect >NUL
	echo.
)

IF NOT %1.==. set testsvc=%1
IF %1.==. (
	echo Wenn Sie nichts eingeben, startet der CMD.EXE als Dienst.
	echo Ausgehend vom CMD-Prompt koennen Sie dann beliebige weitere Programme starten.
	echo.
	set /p testsvc=PROGRAMMNAMEN EINGEBEN: 
)

if %testsvc%.==. (set testsvc="cmd.exe /k start")
set testsvc=%testsvc:"=%

echo.
echo Kommandoaufruf "%testsvc%" als interaktiver Dienst

echo. 
echo Dienst TestSvc stoppen, falls er laeuft...
sc stop testsvc >NUL
ping -n 1 127.0.0.1 >NUL
echo Dienst TestSvc loeschen, sofern vorhanden...
sc delete testsvc >NUL
ping -n 1 127.0.0.1 >NUL
echo Dienst TestSvc neu anlegen...
sc create testsvc binpath= "%testsvc%" type= own type= interact >NUL
ping -n 1 127.0.0.1 >NUL
echo Dienst TestSvc starten...
sc start testsvc >NUL
ping -n 2 127.0.0.1 >NUL
